Skip to main content
GET
/
branches
/
{branchId}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "sourceBranchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "headCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

branchId
string<uuid>
required

Response

200 - application/json

Branch details

id
string<uuid>
required
projectId
string<uuid>
required
name
string
required
type
enum<string>
required
Available options:
MAIN,
FEATURE,
RELEASE,
HOTFIX
status
enum<string>
required
Available options:
ACTIVE,
MERGED,
CLOSED
createdAt
string<date-time>
required
createdBy
string<uuid>
required
description
string | null
sourceBranchId
string<uuid> | null
headCommitId
string<uuid> | null